//! stable.js 0.1.8, https://github.com/Two-Screen/stable
//! © 2018 Angry Bytes and contributors. MIT licensed.
!function(e,n){"object"==typeof exports&&"undefined"!=typeof module?module.exports=n():"function"==typeof define&&define.amd?define(n):(e="undefined"!=typeof globalThis?globalThis:e||self).stable=n()}(this,function(){"use strict";
// A stable array sort, because `Array#sort()` is not guaranteed stable.
// This is an implementation of merge sort, without recursion.
function e(e,n){return t(e.slice(),n)}
// Execute the sort using the input array and a second buffer as work space.
// Returns one of those two, containing the final result.
function t(e,n){"function"!=typeof n&&(n=function(e,n){return String(e).localeCompare(n)});
// Short-circuit when there's nothing to sort.
var t=e.length;if(t<=1)return e;
// Rather than dividing input, simply iterate chunks of 1, 2, 4, 8, etc.
// Chunks are the size of the left or right hand in merge sort.
// Stop when the left-hand covers all of the array.
for(var r=new Array(t),f=1;f<t;f*=2){i(e,n,f,r);var o=e;e=r,r=o}return e}
// Run a single pass with the given chunk size.
e.inplace=function(e,n){n=t(e,n);
// This simply copies back if the result isn't in the original array,
// which happens on an odd number of passes.
return n!==e&&i(n,null,e.length,e),e};var i=function(e,c,n,t){
// Iterate over pairs of chunks.
for(var r,f,o,i,u=e.length,l=0,s=2*n,a=0;a<u;a+=s)for(u<(f=(r=a+n)+n)&&(f=u),
// Iterate both chunks in parallel.
o=a,i=r=u<r?u:r;;)
// Compare the chunks.
if(o<r&&i<f)
// This works for a regular `sort()` compatible comparator,
// but also for a simple comparator like: `a > b`
c(e[o],e[i])<=0?t[l++]=e[o++]:t[l++]=e[i++];else if(o<r)t[l++]=e[o++];else{if(!(i<f))break;t[l++]=e[i++]}};return e});